| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
IP_GPIOPININT_001_T Struct Reference
IP: GPIO Pin Interrupt register block and driver

## Detailed Description

GPIO pin interrupt register block structure.

Definition at line 50 of file gpiopinint_001.h.

`#include "gpiopinint_001.h"`

## Data Fields
__IO uint32_t | ISEL
__IO uint32_t | IENR
__O uint32_t | SIENR
__O uint32_t | CIENR
__IO uint32_t | IENF
__O uint32_t | SIENF
__O uint32_t | CIENF
__IO uint32_t | RISE
__IO uint32_t | FALL
__IO uint32_t | IST

## Field Documentation

__O uint32_t CIENF

Clear Pin Interrupt Enable Falling Edge / Active Level address

Definition at line 57 of file gpiopinint_001.h.

__O uint32_t CIENR

Clear Pin Interrupt Enable (Rising) register

Definition at line 54 of file gpiopinint_001.h.

__IO uint32_t FALL

Pin Interrupt Falling Edge register

Definition at line 59 of file gpiopinint_001.h.

__IO uint32_t IENF

Pin Interrupt Enable Falling Edge / Active Level register

Definition at line 55 of file gpiopinint_001.h.

__IO uint32_t IENR

Pin Interrupt Enable (Rising) register

Definition at line 52 of file gpiopinint_001.h.

__IO uint32_t ISEL

< GPIO_PIN_INT Structure Pin Interrupt Mode register

Definition at line 51 of file gpiopinint_001.h.

__IO uint32_t IST

Pin Interrupt Status register

Definition at line 60 of file gpiopinint_001.h.

__IO uint32_t RISE

Pin Interrupt Rising Edge register

Definition at line 58 of file gpiopinint_001.h.

__O uint32_t SIENF

Set Pin Interrupt Enable Falling Edge / Active Level register

Definition at line 56 of file gpiopinint_001.h.

__O uint32_t SIENR

Set Pin Interrupt Enable (Rising) register

Definition at line 53 of file gpiopinint_001.h.

The documentation for this struct was generated from the following file:

- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/software/lpc_core/lpc_ip/gpiopinint_001.h